%define name	waimea
%define version	0.5.0
%define cvs	040506
%define release	0.%{cvs}.2mdk

Summary:	Waimea is a fast and highly customizable window manager.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Graphical desktop/Other
License:	GPL
URL:		http://www.cs.umu.se/~c99drn/waimea/
#URL:		http://waimea.sf.net/
Source0:	http://prdownloads.sourceforge.net/waimea/%{name}-%{version}-%{cvs}.tar.bz2
Source1:	%{name}-start%{name}.bz2
Source2:	%{name}-menu_method.bz2
Source3:	%{name}-menu.bz2
Source4:	%{name}-menu-menu.bz2
Source10:	%{name}-16.png.bz2
Source11:	%{name}-32.png.bz2
Source12:	%{name}-48.png.bz2
#Not in universal format because of formatting characters that I'm too
#stupid to get around
Patch0:		%{name}-theme-fix.patch.bz2
BuildRequires:	libsvg-cairo-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
%define		__prefix	/usr/X11R6
%define		__bindir	%{__prefix}/bin
%define		__mandir	%{__prefix}/man

%description
Waimea is a fast and highly customizable virtual multiple desktop window 
manager. It has a very advanced style engine with features like Blackbox 
style support, pixmap style support, and transparent textures through the 
Xrender extension. Text can be rendered double buffered using both X core 
fonts and Xft fonts. Waimea also includes a fast lightweight menu system 
with dynamic menu support. The built-in action configuration system makes 
it the most configurable window manager available. 

%prep
%setup -q
#%patch0 -p0

%build
%configure --bindir=%{__bindir}
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall bindir=$RPM_BUILD_ROOT%{__bindir} mandir=$RPM_BUILD_ROOT%{__mandir}

# session file
install -d $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d
cat > $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d/16Waimea << EOF
NAME=Waimea
ICON=waimea.png
EXEC=%{__bindir}/startwaimea
DESC=Waimea window manager
SCRIPT:
exec %{__bindir}/startwaimea
EOF

#Make the needed dirs
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/menu-methods/,%{_menudir},%{_miconsdir},%{_liconsdir}}

#menu
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_sysconfdir}/menu-methods/%{name}; chmod 755 $RPM_BUILD_ROOT%{_sysconfdir}/menu-methods/%{name}
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_menudir}/%{name}

# Static menu part
bzcat %{SOURCE4} > $RPM_BUILD_ROOT%{_datadir}/%{name}/menu-menu

# Icons
bzcat %{SOURCE10} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
bzcat %{SOURCE11} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
bzcat %{SOURCE12} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

# launch script
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{__bindir}/startwaimea; chmod 755 $RPM_BUILD_ROOT%{__bindir}/startwaimea

%post
%{update_menus}
%{make_session}

%postun
%{clean_menus}
%{update_menus}
%{make_session}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README 
%{__bindir}/*
%{__mandir}/man1/*
%config(noreplace) %{_sysconfdir}/menu-methods/%{name}
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/16Waimea
%{_menudir}/%{name}
%{_datadir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Fri Jun 11 2004 Marcel Pol <mpol@mandrake.org> 0.5.0-0.040506.2mdk
- rebuild

* Fri Jun 04 2004 Marcel Pol <mpol@mandrake.org> 0.5.0-0.040506.1mdk
- 0.5.0 snapshot
- disable patch0
- update buildrequires
- drop wampager, was already a seperate package
- drop requires Eterm

* Sat Jan 03 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.4.0-4mdk
- birthday rebuild

* Fri Dec 27 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.4.0-3mdk
- rebuild for rpm and glibc

* Thu Nov 21 2002 Per yvind Karlsen <peroyvind@sintrax.net> 0.4.0-2mdk
- Added Waimea Mini Pager and patch #1 to fix warning

* Thu Nov 21 2002 Per yvind Karlsen <peroyvind@sintrax.net> 0.4.0-1mdk
- 0.4.0
- Cleanups (whoa, no reason to use spaces between every line;)
- Removed obsolete Prefix tag
- Removed redundant BuildRequires
- bzip2'ed additional sources
- Added Patch #0 to fix a problem with waimea not checking for themes if not
  ~/.waimea/styles exist
- Added styles to menu

* Tue Nov 12 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.3.5-2mdk
- Requires Eterm (blokkie <blokkie@mandrake.kicks-ass.net>)
- Some BuildRequires

* Sat Nov 02 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.3.5-1mdk
- Fix menu-method
- Add icone
- Fix mail address for changelog
- From Lenny Cartier <lenny@mandrakesoft.com>
	- not finnish spec (bug lot of things already done)
- From blokkie <blokkie@mandrake.kicks-ass.net>	
	- 0.3.5
